> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# zks_L1ChainId

> Returns the chain id of the underlying L1



## OpenAPI

````yaml /api-reference/openapi.json post /zks_L1ChainId
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /zks_L1ChainId:
    post:
      tags:
        - ZKSync API
      summary: zks_L1ChainId
      description: Returns the chain id of the underlying L1
      operationId: zks_L1ChainId
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: zks_L1ChainId
                  description: The method to call
                params:
                  type: array
                  items: {}
                  description: No parameters
                  default: []
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 1
              method: zks_L1ChainId
              params: []
      responses:
        '200':
          description: Returns the L1 chain ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  id:
                    type: integer
                    example: 1
                  result:
                    type: string
                    description: The L1 chain ID in hexadecimal format
                    example: '0x1'
              example:
                jsonrpc: '2.0'
                result: '0x1'
                id: 1

````